Package org.apache.tools.ant.taskdefs.condition

## Class IsSet

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.IsSet

- All Implemented Interfaces:
    `java.lang.Cloneable`, `Condition`

      public class IsSet
      extends ProjectComponent
      implements Condition

  Condition that tests whether a given property has been set.
  Since:
    Ant 1.5

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IsSet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `eval()` | Is this condition true?
    `void` | `setProperty​(java.lang.String p)` | Set the property attribute

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsSet

          public IsSet()

  - ### Method Detail

    - #### setProperty

          public void setProperty​(java.lang.String p)

      Set the property attribute
      Parameters:
        `p` - the property name

    - #### eval

          public boolean eval()
                       throws BuildException

      Description copied from interface: `Condition`
      Is this condition true?
      Specified by:
        `eval` in interface `Condition`
      Returns:
        true if the property exists
      Throws:
        `BuildException` - if the property attribute is not set